osgSim::ElevationRange Class Reference

`#include <Sector>`

Inheritance diagram for osgSim::ElevationRange:

## Public Member Functions

| ElevationRange ()
void | setElevationRange (float minElevation, float maxElevation, float fadeAngle=0.0f)
float | getMinElevation () const
float | getMaxElevation () const
float | getFadeAngle () const
float | elevationSector (const osg::Vec3 &eyeLocal) const

## Protected Attributes

float | _cosMinElevation
float | _cosMinFadeElevation
float | _cosMaxElevation
float | _cosMaxFadeElevation

## Constructor & Destructor Documentation

## ElevationRange()

osgSim::ElevationRange::ElevationRange | ( |  | ) |

inline

References _cosMaxElevation, _cosMaxFadeElevation, _cosMinElevation, and _cosMinFadeElevation.

Referenced by osgSim::AzimElevationSector::AzimElevationSector(), osgSim::AzimElevationSector::AzimElevationSector(), osgSim::ElevationSector::ElevationSector(), and osgSim::ElevationSector::ElevationSector().

## Member Function Documentation

## elevationSector()

float osgSim::ElevationRange::elevationSector | ( | const osg::Vec3 & | eyeLocal | ) | const

inline

References _cosMaxElevation, _cosMaxFadeElevation, _cosMinElevation, _cosMinFadeElevation, osg::Vec3f::length(), and osg::Vec3f::z().

## getFadeAngle()

float osgSim::ElevationRange::getFadeAngle | ( |  | ) | const

## getMaxElevation()

float osgSim::ElevationRange::getMaxElevation | ( |  | ) | const

## getMinElevation()

float osgSim::ElevationRange::getMinElevation | ( |  | ) | const

## setElevationRange()

void osgSim::ElevationRange::setElevationRange | ( | float | minElevation,
|  | float | maxElevation,
|  | float | fadeAngle = 0.0f )

## Member Data Documentation

## _cosMaxElevation

float osgSim::ElevationRange::_cosMaxElevation

protected

Referenced by ElevationRange(), and elevationSector().

## _cosMaxFadeElevation

float osgSim::ElevationRange::_cosMaxFadeElevation

protected

Referenced by ElevationRange(), and elevationSector().

## _cosMinElevation

float osgSim::ElevationRange::_cosMinElevation

protected

Referenced by ElevationRange(), and elevationSector().

## _cosMinFadeElevation

float osgSim::ElevationRange::_cosMinFadeElevation

protected

Referenced by ElevationRange(), and elevationSector().

The documentation for this class was generated from the following file:

- Sector